**Source URL:** https://limited.veevavault.dev/sitevault/vault-api/api-reference/24.3/veeva-sitevault/veeva-econsent/send-documents-to-signatories.md

# Send Documents to Signatories



Send documents to signatories for signature.

<Endpoint path="/api/{version}/app/sitevault/econsent/send" method="POST"></Endpoint>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `documents.version_id__v` | The ID of the blank ICF. |
| `signatory__v.id` | The ID of the signatory. |
| `signatory__v.role__v` | The role of the signatory. |
| `subject__v.id` | The ID of the participant. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-d "documents.version_id__v=40_1_0" \
-d "signatory__v.id=V5A000000004002" \
-d "signatory__v.role__v=participant__v" \
-d "subject__v.id=V0X000000002001" \
https://myvault.veevavault.com/api/v22.1/app/sitevault/econsent/send

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseMessage": "Success",
    "data": [
        {
            "status": "SUCCESS",
            "message": "Send EConsent action began successfully with job id {job_id}",
	        "data": {
	            "subject__v.id": "V0X000000002001",
	            "documents": [
	                {
		                "document.version_id__v": "40_1_0",
			            "signatory__v": [
			                {
				                "signatory__v.id": "V5A000000004002",
				                "signatory__v.role__v": "participant__v"
			                }
			            ]
			        }

		        ]
	        }
        }
    ]
}

```
</CodeExample>

## Response Details {#response-details}

The response lists the participant, the blank ICF, any signatories, and a job ID. You can use the [Retrieve Job Status](/vault-api/api-reference/24.3/jobs/retrieve-job-status) endpoint to query the status of the request using the job ID.



---

**Previous:** [Retrieve Documents and Signatories](/sitevault/vault-api/api-reference/24.3/veeva-sitevault/veeva-econsent/retrieve-documents-and-signatories)  
**Next:** [Errors](/sitevault/vault-api/api-reference/24.3/errors)